# IAlgebraPoolPermissionedActions

## IAlgebraPoolPermissionedActions

Permissioned pool actions Contains pool methods that may only be called by the factory owner or tokenomics

### Functions

#### setCommunityFee

`setCommunityFee(uint8,uint8)` external

Set the community's % share of the fees. Cannot exceed 25% (250)

| Name          | Type  | Description                                                            |
| ------------- | ----- | ---------------------------------------------------------------------- |
| communityFee0 | uint8 | new community fee percent for token0 of the pool in thousandths (1e-3) |
| communityFee1 | uint8 | new community fee percent for token1 of the pool in thousandths (1e-3) |

#### setIncentive

`setIncentive(address)` external

Sets an active incentive

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| virtualPoolAddress | address | The address of a virtual pool associated with the incentive |

#### setLiquidityCooldown

`setLiquidityCooldown(uint32)` external

Sets new lock time for added liquidity

| Name                 | Type   | Description         |
| -------------------- | ------ | ------------------- |
| newLiquidityCooldown | uint32 | The time in seconds |

***

## IAlgebraPoolPermissionedActions

Permissioned pool actions Contains pool methods that may only be called by the factory owner or tokenomics

### Functions

#### setCommunityFee

`setCommunityFee(uint8,uint8)` external

Set the community's % share of the fees. Cannot exceed 25% (250)

| Name          | Type  | Description                                                            |
| ------------- | ----- | ---------------------------------------------------------------------- |
| communityFee0 | uint8 | new community fee percent for token0 of the pool in thousandths (1e-3) |
| communityFee1 | uint8 | new community fee percent for token1 of the pool in thousandths (1e-3) |

#### setIncentive

`setIncentive(address)` external

Sets an active incentive

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| virtualPoolAddress | address | The address of a virtual pool associated with the incentive |

#### setLiquidityCooldown

`setLiquidityCooldown(uint32)` external

Sets new lock time for added liquidity

| Name                 | Type   | Description         |
| -------------------- | ------ | ------------------- |
| newLiquidityCooldown | uint32 | The time in seconds |

***

## IAlgebraPoolPermissionedActions

Permissioned pool actions Contains pool methods that may only be called by the factory owner or tokenomics

### Functions

#### setCommunityFee

`setCommunityFee(uint8,uint8)` external

Set the community's % share of the fees. Cannot exceed 25% (250)

| Name          | Type  | Description                                                            |
| ------------- | ----- | ---------------------------------------------------------------------- |
| communityFee0 | uint8 | new community fee percent for token0 of the pool in thousandths (1e-3) |
| communityFee1 | uint8 | new community fee percent for token1 of the pool in thousandths (1e-3) |

#### setIncentive

`setIncentive(address)` external

Sets an active incentive

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| virtualPoolAddress | address | The address of a virtual pool associated with the incentive |

#### setLiquidityCooldown

`setLiquidityCooldown(uint32)` external

Sets new lock time for added liquidity

| Name                 | Type   | Description         |
| -------------------- | ------ | ------------------- |
| newLiquidityCooldown | uint32 | The time in seconds |

***

## IAlgebraPoolPermissionedActions

Permissioned pool actions Contains pool methods that may only be called by the factory owner or tokenomics

### Functions

#### setCommunityFee

`setCommunityFee(uint8,uint8)` external

Set the community's % share of the fees. Cannot exceed 25% (250)

| Name          | Type  | Description                                                            |
| ------------- | ----- | ---------------------------------------------------------------------- |
| communityFee0 | uint8 | new community fee percent for token0 of the pool in thousandths (1e-3) |
| communityFee1 | uint8 | new community fee percent for token1 of the pool in thousandths (1e-3) |

#### setIncentive

`setIncentive(address)` external

Sets an active incentive

| Name               | Type    | Description                                                 |
| ------------------ | ------- | ----------------------------------------------------------- |
| virtualPoolAddress | address | The address of a virtual pool associated with the incentive |

#### setLiquidityCooldown

`setLiquidityCooldown(uint32)` external

Sets new lock time for added liquidity

| Name                 | Type   | Description         |
| -------------------- | ------ | ------------------- |
| newLiquidityCooldown | uint32 | The time in seconds |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.0/v1.0-periphery/ialgebrapoolpermissionedactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
